// Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by the
// Free Software Foundation; either version 3 of the License, or (at your
// option) any later version.
// This library is distributed in the hope that it will be useful,
// but without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose.
// You should have received a copy of the GNU Lesser General Public License along
// with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
// ---------------------------------------------------------------------------
package pl.bristleback.server.bristle.exceptions;

import org.apache.log4j.Logger;

/**
 * //@todo class description
 * <p/>
 * Created on: 2010-09-25 00:18:32 <br/>
 *
 * @author Wojciech Niemiec
 */
public class ImplementationResolvingException extends RuntimeException {
  private static Logger log = Logger.getLogger(ImplementationResolvingException.class.getName());

  private String className;
  private Class parentClass;

  public ImplementationResolvingException(String className, Class parentClass) {
    this.className = className;
    this.parentClass = parentClass;
  }

  @Override
  public String getMessage() {
    return "Cannot resolve implementation of " + parentClass + ", given class name: " + className;
  }

  public String getClassName() {
    return className;
  }

  public Class getParentClass() {
    return parentClass;
  }
}
