// Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by the
// Free Software Foundation; either version 3 of the License, or (at your
// option) any later version.
// This library is distributed in the hope that it will be useful,
// but without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose.
// You should have received a copy of the GNU Lesser General Public License along
// with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
// ---------------------------------------------------------------------------
package pl.bristleback.server.bristle.messages;

import org.apache.log4j.Logger;
import org.jwebsocket.api.WebSocketServer;

/**
 * Abstract implementation of {@link pl.bristleback.server.bristle.messages.MessageSender} interface,
 * providing jwebsocket server and message dispatcher fields together with their getters and setters.
 * <p/>
 * Created on: 2010-09-24 22:19:43 <br/>
 *
 * @author Wojciech Niemiec
 */
public abstract class AbstractMessageSender<T> implements MessageSender<T> {
  private static Logger log = Logger.getLogger(AbstractMessageSender.class.getName());

  private MessageDispatcher messageDispatcher;
  private WebSocketServer server;

  protected MessageDispatcher getMessageDispatcher() {
    return messageDispatcher;
  }

  protected WebSocketServer getServer() {
    return server;
  }

  public void setMessageDispatcher(MessageDispatcher dispatcher) {
    this.messageDispatcher = dispatcher;
  }

  public void setServer(WebSocketServer server) {
    this.server = server;
  }
}
