// Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by the
// Free Software Foundation; either version 3 of the License, or (at your
// option) any later version.
// This library is distributed in the hope that it will be useful,
// but without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose.
// You should have received a copy of the GNU Lesser General Public License along
// with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
// ---------------------------------------------------------------------------
package pl.bristleback.server.bristle.messages;

import org.apache.log4j.Logger;
import org.jwebsocket.api.WebSocketConnector;
import org.jwebsocket.token.Token;

/**
 * This is the easiest way for sending message. Implementation needs connector as second parameter.
 * <p/>
 * Created on: 2010-09-24 22:21:29 <br/>
 *
 * @author Wojciech Niemiec
 */
public class SimpleConnectorMessageSender extends AbstractMessageSender<WebSocketConnector> {
  private static Logger log = Logger.getLogger(SimpleConnectorMessageSender.class.getName());

  public static final String SENDER_NAME = "simpleConnectorSender";

  public void sendMessage(Token token, WebSocketConnector connector) {
    WebSocketMessage message = new WebSocketMessage(token, connector);
    getMessageDispatcher().addMessage(message);
  }
}
